import store from "react-native-digitcamera/src/redux/store";

//quick tips screen
export const car_parking = require("./Image/new/car_parking.png");
export const car_mobile = require("./Image/new/car_mobile.png");
export const car_frontview = require("./Image/new/car_frontview.png");
export const car_driver = require("./Image/new/car_driver.png");
export const car_arch = require("./Image/new/car_arch.png");
export const car_nonarch = require("./Image/new/car_nonarch.png");
export const car_10ft = require("./Image/new/car_10ft.png");
export const car_passenger = require("./Image/new/car_passenger.png");
export const car_dirty = require("./Image/new/car_dirty.png");
export const car_clean = require("./Image/new/car_clean.png");

//rcb
export const rcb_illustration = require("./Image/new/rcb_illustration.png");
export const rcb_sample_1 = require("./Image/new/rcb_sample_1.jpg");
export const rcb_sample_2 = require("./Image/new/rcb_sample_2.jpg");

//videos
export const democv = require("./Image/new/democv.mp4");
export const demopi = require("./Image/new/demopi.mp4");
export const demopayd = require("./Image/new/demopayd.mp4");
export const demotw = require("./Image/new/demotw.mp4");

//video instructions
export const openbonnet = require("./Image/new/openbonnet.gif");
export const closebonnet = require("./Image/new/closebonnet.gif");
export const chassis_car = require("./Image/new/chassis_car.png");
export const stickerchassis = require("./Image/new/stickerchassis.png");
export const embossedchassis = require("./Image/new/embossedchassis.png");

export const getVideoComponent = (source) => {
  const { isInternetReachable } = store.getState().network;
  if (isInternetReachable) {
    return { uri: source, cache: true };
  }
  return source;
};
